AjpAprProtocol (Apache Tomcat 9.0.118 API Documentation)
Description: declaration: package: org.apache.coyote.ajp, class: AjpAprProtocol

# Class AjpAprProtocol

java.lang.Object
org.apache.coyote.AbstractProtocol<Long>
org.apache.coyote.ajp.AbstractAjpProtocol<Long>
org.apache.coyote.ajp.AjpAprProtocol

All Implemented Interfaces:
  `MBeanRegistration, ProtocolHandler`

@Deprecated public class AjpAprProtocol extends AbstractAjpProtocol<Long>
Deprecated.
The APR/Native Connector will be removed in Tomcat 9.1.x onwards and has been removed from Tomcat 10.1.x onwards.
This the APR/native based protocol handler implementation for AJP.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AbstractProtocol

  `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

- ## Field Summary

  ### Fields inherited from class AbstractAjpProtocol

  `sm`

  ### Fields inherited from class AbstractProtocol

  `adapter, domain, mserver, oname, processorCache, rgOname`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AjpAprProtocol()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Log`
  `getLog()`
  Deprecated.
  `protected String`
  `getNamePrefix()`
  Deprecated.
  `int`
  `getPollTime()`
  Deprecated.
  `void`
  `init()`
  Deprecated.
  `boolean`
  `isAprRequired()`
  Deprecated.
  `void`
  `setPollTime(int pollTime)`
  Deprecated.

  ### Methods inherited from class AbstractAjpProtocol

  `addSslHostConfig, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, findSslHostConfigs, findUpgradeProtocols, getAjpFlush, getAllowedRequestAttributesPattern, getAllowedRequestAttributesPatternInternal, getDesiredBufferSize, getEndpoint, getNegotiatedProtocol, getPacketSize, getProtocolName, getRequiredSecret, getSecret, getSecretRequired, getTomcatAuthentication, getTomcatAuthorization, getUpgradeProtocol, setAjpFlush, setAllowedRequestAttributesPattern, setPacketSize, setRequiredSecret, setSecret, setSecretRequired, setTomcatAuthentication, setTomcatAuthorization, start`

  ### Methods inherited from class AbstractProtocol

  `addWaitingProcessor, awaitConnectionsClose, checkSni, closeServerSocketGraceful, destroy, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getId, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxQueueSize, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, getWaitingProcessorCount, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxQueueSize, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, startAsyncTimeout, stop, stopAsyncTimeout`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AjpAprProtocol

    @Deprecated public AjpAprProtocol()
    Deprecated.

- ## Method Details

  - ### getLog

    @Deprecated protected Log getLog()
    Deprecated.
    Description copied from class: `AbstractProtocol`
    Concrete implementations need to provide access to their logger to be used by the abstract classes.
    Specified by:
      `getLog` in class `AbstractProtocol<Long>`
    Returns:
      the logger

  - ### isAprRequired

    @Deprecated public boolean isAprRequired()
    Deprecated.
    Description copied from class: `AbstractProtocol`
    Checks if sendfile is supported.
    Specified by:
      `isAprRequired` in interface `ProtocolHandler`
    Overrides:
      `isAprRequired` in class `AbstractProtocol<Long>`
    Returns:
      `true` if sendfile is supported

  - ### getPollTime

    @Deprecated public int getPollTime()
    Deprecated.

  - ### setPollTime

    @Deprecated public void setPollTime(int pollTime)
    Deprecated.

  - ### init

    @Deprecated public void init() throws Exception
    Deprecated.
    Description copied from class: `AbstractProtocol`
    Initializes the protocol handler.
    Specified by:
      `init` in interface `ProtocolHandler`
    Overrides:
      `init` in class `AbstractProtocol<Long>`
    Throws:
      `Exception` - if initialization fails

  - ### getNamePrefix

    @Deprecated protected String getNamePrefix()
    Deprecated.
    Description copied from class: `AbstractProtocol`
    Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.
    Specified by:
      `getNamePrefix` in class `AbstractProtocol<Long>`
    Returns:
      the prefix